- Main Page
- Classes
- Files

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# moeoNSGA_II< EOT > Class Template Reference

Inheritance diagram for moeoNSGA_II< EOT >:

List of all members.

## Public Member Functions
| moeoNSGA_II (unsigned _max_gen, eoEvalFunc< EOT > &_eval, eoGenOp< EOT > &_op)
| This constructor builds the algorithm as descibed in the paper.
| moeoNSGA_II (unsigned _max_gen, eoEvalFunc< EOT > &_eval, eoQuadOp< EOT > &crossover, double pCross, eoMonOp< EOT > &mutation, double pMut)
| Ctor taking _max_gen, crossover and mutation.
| moeoNSGA_II (eoContinue< EOT > &_continuator, eoEvalFunc< EOT > &_eval, eoGenOp< EOT > &_op)
| Ctor taking a continuator instead of _gen_max.
virtual void | operator() (eoPop< EOT > &_pop)
| Apply a few generation of evolution to the population.
## Protected Attributes
eoContinue< EOT > & | continuator
eoEvalFunc< EOT > & | eval
eoPopLoopEval< EOT > | loopEval
eoPopEvalFunc< EOT > & | popEval
moeoNDSorting_II< EOT > | sorting
| NSGAII sorting.
eoDetTournamentWorthSelect< EOT > | selectOne
| Binary tournament selection.
moeoElitistReplacement< EOT > | replace
| Elitist replacement.
eoGeneralBreeder< EOT > | genBreed
eoBreed< EOT > & | breed

## Detailed Description

### template<class EOT>
class moeoNSGA_II< EOT >

Definition at line 31 of file moeoNSGA_II.h.

## Constructor & Destructor Documentation

template<class EOT>

moeoNSGA_II< EOT >::moeoNSGA_II | ( | unsigned | _max_gen,
|  | eoEvalFunc< EOT > & | _eval,
|  | eoGenOp< EOT > & | _op |
| ) |  |  | `[inline]`

This constructor builds the algorithm as descibed in the paper.

Deb, K., S. Agrawal, A. Pratap, and T. Meyarivan, A fast elitist non-dominated sorting genetic algorithm for multi-objective optimization: NSGA-II. In IEEE Transactions on Evolutionary Computation, Vol. 6, No 2, pp 182-197, April 2002.

Parameters:

  | _max_gen | number of generations before stopping
  | _eval | evaluation function
  | _op | variation operator

Definition at line 46 of file moeoNSGA_II.h.

The documentation for this class was generated from the following file:

- moeoNSGA_II.h